/*=========================================================================*/
/*                          Written by James Tanner                        */
/*                  https://www.facebook.com/TheMeroving1an                */
/*                                  IAmOrion                               */
/*=========================================================================*/

float VIN = 5.0, VOUT=0.0, R_MIN = 92000.0;

float R1=96700.0; // 97200.0;
float R2=96300.0; // 97700.0;
float R3=96500.0; // 97300.0;
float R4=96300.0; // 97500.0;

float P1_MIN=4000.0, P1_MAX=7000.0;         // 5.6K
float P2_MIN=8000.0, P2_MAX=12000.0;        // 10K
float P3_MIN=20000.0, P3_MAX=24000.0;       // 22K
float P4_MIN=36000.0, P4_MAX=42000.0;       // 39K
//float P5_MIN=0.0, P5_MAX = 3000.0;        // No resistance / Short to GND aka 0 ohms

int ACTIVE_JACK=0, ACTIVE_SOCKET=0;
boolean COLON_VISIBLE = true, ACTIVE = false;
unsigned long previousMillis = 0;
uint32_t targetTime = 0; int hh, mm, ss;
String strTime, str_hh, str_mm, str_ss, stringBuilder="";

const int Pins[5] = {JACK1, JACK2, JACK3, JACK4};
const char* PLUGS[6] = {PLUG1,PLUG2,PLUG3,PLUG4,GENERIC};
boolean INSERTED[5] = {0, 0, 0, 0}, LAST_INSERTED[5] = {0, 0, 0, 0};
int SOCKET_1234_HAS_PLUGTYPE_X[5] = {0,0,0,0}, SOCKET_1234_HAS_PLUGTYPE_X_LAST[5] = {0,0,0,0};
float JACK_RESISTANCES[5] = {R1, R2, R3, R4};
